# Lepiter Plugins

A bundle of plugins to customize the [Lepiter](https://gtoolkit.com/) experience.

Some day they may evolve so [Grafoscopio](https://mutabit.com/repos.fossil/grafoscopio/doc/tip/readme.md.html)
becomes a Lepiter distribution, in a similar way that Doom Emacs or Spacemacs customize the "raw" Emacs experience
(or may not...).

GToolkit now provides a more mature platform to build something similar to what Grafoscopio was
exploring since 2015: data storytelling powered by a live coding moldable environment to bridge the gap between
programming cultures and the wider culture to explore together the question of "how can we change the digital tools
that change us?".

Plugins here try to improve and/or customize the Lepiter experience to improve document writing/outlining and focus more
on data narratives.
This is build from the years long experience with a diverse community around Grafoscopio mostly of non professional coders
(teachers, students, desginers, artists, librarias, scientists, among others) since its beginnings.
Also they serve as a starting test bed to explore the moldability of GToolkit the affordances it provides for customization
and how easy is to use them.

## Installation

To install, first install [ExoRepo](https://code.tupale.co/Offray/ExoRepo) and then from a _playground_ in [GToolkit](https://gtoolkit.com/) execute:

```smalltalk
    ExoRepo new
      repository: 'https://code.tupale.co/Offray/LepiterPlugins';
      load.
```